# Repo

name: `caeb-types`
description: `Apps Interfaces by Caeb Wallace`

# Init

```
rm -rf .git;
git init;
git config user.name "Caeb WALLACE";
git config user.email null;
git remote add origin git@github.com-caeb:caebwallace/caeb-types.git;
```

## Precommit husky

### Install Prettier

```
npm i -D prettier
```

or

```
yarn add -D prettier
```

### Install Pre-Commit scripts

Install husky lint (https://www.npmjs.com/package/lint-staged) :

```
npx mrm lint-staged
```

Update version patch

`.husky/pre-commit` :

```
#!/bin/sh
. "$(dirname "$0")/_/husky.sh"

npx lint-staged
npm --no-git-tag-version version patch && git add .
```

```
https://stackoverflow.com/questions/13059991/update-package-json-version-automatically
```

## Publish Package

```
npm login
```

```
npm publish
```
